Subject: bug#34852: 26.1; seq-intersection ignores nil as element

From: Michael Heerdegen <[email-masked]>
Date: Fri, 15 Mar 2019 00:15:20 +0100

"Miguel V. S. Frasson" <[email-masked]> writes:

> Hi
>
> In any case, of another implementation for seq-intersection or not, I
> think that the solution from Stefan should be implemented anyway
> because
>
> * it makes seq-contains provide a useful return value when ELT=nil, so
> it is a good exception; If ELT=nil, seq-contains currently returns nil
> anyway;
>
> * it makes seq-contains become a real predicate function, making it
> more useful;
>
> * since seq-contains has been used as predicate before, it is
> unpredictable which code uses it out of official repositories, so this
> fix potentially fixes other code.

BTW, another (alternative) alternative would be to make it return
(list ELT).  That would be a bit less backward-compatible, but a
bit more consistent.

Michael.